## gtypist 2.9.3

=== m4/Makefile ===
# Makefile.in generated by automake 1.13.2 from Makefile.am.
# m4/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2013 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/gtypist
pkgincludedir = $(includedir)/gtypist
pkglibdir = $(libdir)/gtypist
pkglibexecdir = $(libexecdir)/gtypist
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = m4
DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/codeset.m4 \
	$(top_srcdir)/m4/fcntl-o.m4 $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/glibc2.m4 $(top_srcdir)/m4/glibc21.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intdiv0.m4 \
	$(top_srcdir)/m4/intl.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/intmax.m4 $(top_srcdir)/m4/inttypes-pri.m4 \
	$(top_srcdir)/m4/inttypes_h.m4 $(top_srcdir)/m4/lcmessage.m4 \
	$(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
	$(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/lock.m4 \
	$(top_srcdir)/m4/longlong.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/printf-posix.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/size_max.m4 \
	$(top_srcdir)/m4/stdint_h.m4 $(top_srcdir)/m4/threadlib.m4 \
	$(top_srcdir)/m4/uintmax_t.m4 $(top_srcdir)/m4/visibility.m4 \
	$(top_srcdir)/m4/wchar_t.m4 $(top_srcdir)/m4/wint_t.m4 \
	$(top_srcdir)/m4/xsize.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/edam/src/projects/gtypist/build/missing aclocal-1.13
ALLOCA = 
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /home/edam/src/projects/gtypist/build/missing autoconf
AUTOHEADER = ${SHELL} /home/edam/src/projects/gtypist/build/missing autoheader
AUTOMAKE = ${SHELL} /home/edam/src/projects/gtypist/build/missing automake-1.13
AWK = gawk
BUILD_INCLUDED_LIBINTL = no
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CFLAG_VISIBILITY = -fvisibility=hidden
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EMACS = emacs
EMACSLOADPATH = 
EXEEXT = 
GENCAT = gencat
GEN_MAN = help2man ./gtypist -o gtypist.1 -n 'a typing tutor with lessons for different keyboards and languages'
GETTEXT_MACRO_VERSION = 0.18
GLIBC2 = yes
GLIBC21 = yes
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
HAVE_ASPRINTF = 1
HAVE_NEWLOCALE = 1
HAVE_POSIX_PRINTF = 1
HAVE_SNPRINTF = 1
HAVE_VISIBILITY = 1
HAVE_WPRINTF = 0
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INSTOBJEXT = .mo
INTLBISON = bison
INTLLIBS = 
INTLOBJS = 
INTL_DEFAULT_VERBOSITY = 1
INTL_LIBTOOL_SUFFIX_PREFIX = 
INTL_MACOSX_LIBS = 
LDFLAGS = 
LIBICONV = 
LIBINTL = 
LIBMULTITHREAD = -lpthread
LIBOBJS = 
LIBPTH = 
LIBPTH_PREFIX = 
LIBS = -lncursesw 
LIBTHREAD = 
LN_S = ln -s
LTLIBC = -lc
LTLIBICONV = 
LTLIBINTL = 
LTLIBMULTITHREAD = -lpthread
LTLIBOBJS = 
LTLIBPTH = 
LTLIBTHREAD = 
MAKEINFO = ${SHELL} /home/edam/src/projects/gtypist/build/missing makeinfo
MKDIR_P = /bin/mkdir -p
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
OBJEXT = o
PACKAGE = gtypist
PACKAGE_BUGREPORT = bug-gtypist@gnu.org
PACKAGE_NAME = GNU Typist
PACKAGE_STRING = GNU Typist 2.9.3
PACKAGE_TARNAME = gtypist
PACKAGE_URL = http://www.gnu.org/software/gtypist/
PACKAGE_VERSION = 2.9.3
PATH_SEPARATOR = :
POSUB = po
POW_LIB = 
PRI_MACROS_BROKEN = 0
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
USE_INCLUDED_LIBINTL = no
USE_NLS = yes
VERSION = 2.9.3
WINDRES = 
WOE32 = no
WOE32DLL = no
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
YACC = bison -y
YFLAGS = 
abs_builddir = /home/edam/src/projects/gtypist/build/m4
abs_srcdir = /home/edam/src/projects/gtypist/build/m4
abs_top_builddir = /home/edam/src/projects/gtypist/build
abs_top_srcdir = /home/edam/src/projects/gtypist/build
ac_ct_CC = gcc
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/edam/src/projects/gtypist/build/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
lispdir = ${datarootdir}/emacs/site-lisp
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
EXTRA_DIST = codeset.m4 glibc2.m4 intl.m4 inttypes-pri.m4 lib-prefix.m4	     \
printf-posix.m4 threadlib.m4 wint_t.m4 fcntl-o.m4 iconv.m4 intlmacosx.m4     \
lcmessage.m4 lock.m4 progtest.m4 uintmax_t.m4 xsize.m4 gettext.m4 intdiv0.m4 \
intmax.m4 lib-ld.m4 longlong.m4 nls.m4 size_max.m4 visibility.m4 glibc21.m4  \
intldir.m4 inttypes_h.m4 lib-link.m4 Makefile po.m4 stdint_h.m4 wchar_t.m4

all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu m4/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu m4/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:

## gtypist 2.9.1

=== debian/changelog ===
gtypist (2.9.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/695777_update_info_doc.patch: Update info doc to latest
    2.9.2, now released with a DFSG-compliant license (closes: #695777).
  * debian/copyright: Document the doc/ license.

 -- David Prévot <taffit@debian.org>  Mon, 31 Dec 2012 12:44:40 -0400

gtypist (2.9.1-2) unstable; urgency=low

  * debian/control: Suggest vim-addon-manager for vim syntax highlighting.
    (Build-Depends): Add required version for autotools-dev debhelper addon.
  * debian/gtypist.install: Move addon back to /usr/share/vim/addons according
    to the VIM policy. Thanks to James McCoy for the hint.
  * debian/NEWS: Added.
  * debian/README.debian: Added section about vim syntax highlighting support.
  * debian/patches/220581_gtypist_vim_support.patch: Adjusted.
    - tools/gtypist.yaml: Fix addon locations.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Wed, 30 Nov 2011 22:41:43 +0100

gtypist (2.9.1-1) unstable; urgency=low

  * New upstream release.
  * gtypist.install: Install the gtypist filetype syntax support for vim.
  * debian/patches/fix_manual_page_issues.patch: Minor adjustment.
  * debian/patches/220581_gtypist_vim_support.patch: Added.
    - Install the gtypist filetype syntax support for vim (closes: #220581).
  * debian/patches/series: Adjusted.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 29 Nov 2011 23:05:12 +0100

gtypist (2.9-3) unstable; urgency=low

  * debian/gtypist.emacsen-startup: Added.
  * debian/gtypist.install: Install gtypist emacs mode.
  * debian/TODO.debian: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sat, 19 Nov 2011 00:11:45 +0100

gtypist (2.9-2) unstable; urgency=low

  * debian/control (Build-Depends): Removed unused libncurses5-dev.
    (Recommends): Added fortune-cookie-db or typefortune won't be of help.
    (Description): Added a note about fortune-cookie-db.
  * debian/gtypist.doc-base.cs: Added.
  * debian/gtypist.doc-base.en: Ditto.
  * debian/gtypist.doc-base.es: Ditto.
  * debian/gtypist.docs: Added manuals in HTML format.
  * debian/gtypist.install: Ship tools in doc directory (closes: #325565).
  * debian/README.debian: Added notes about fortune cookies and the recently
    added tools.
  * debian/patches/fix_manual_page_issues.patch: Extended. A note in the
    manual page will inform users about the necessity of having fortune
    cookies installed.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 18 Nov 2011 17:09:15 +0100

gtypist (2.9-1) unstable; urgency=low

  * New upstream release (closes: #620811).
    - Fixes broken UTF-8 support for terminals (closes: #642489;
      LP: #281946, #501541).
    - Fixes minor punctuation error in lesson T14 (closes: #288682).

  * debian/compat: Bumped to dh compat level 7.
  * debian/control: Added Vcs-Browser and Vcs-Svn.
    (Standards-Version): Bumped to 3.9.2.
    (Build-Depends): Added libncursesw5-dev and help2man.
    (Description): Fixed description-synopsis-starts-with-article.
  * debian/copyright: Minor update.
  * debian/gtypist.info: Added.
  * debian/gtypist.lintian-overrides: Updated. Added unusual-interpreter
    for the gtypist interpreter.
  * debian/rules: Rewritten for debhelper 7.
  * debian/README.source: Dropped obsolete file.
  * debian/patches/fix_manual_page_issues.dpatch: Renamed to
    debian/patches/fix_manual_page_issues.patch and updated as quilt patch.
  * debian/patches/00list: Renamed to debian/patches/series and adjusted.
  * debian/source/format: Added for 3.0 format.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 13 Nov 2011 23:37:41 +0100

gtypist (2.8.3-1) unstable; urgency=low

  * New upstream release 2.8.3.
    - Drop all patches (applied upstream).

  * debian/compat: Added and set to 5.
  * debian/control: Added Homepage and DM-Upload-Allowed.
    (Uploaders): Added myself.
    (Build-Depends): Increased dh version. Added dpatch.
    (Standards-Version): Bumped to 3.8.1.
    (Depends): Added ${misc:Depends}.
  * debian/copyright: Updated and completed.
  * debian/dirs: Dropped.
  * debian/menu: Renamed to debian/gtypist.menu.
    (section): Fixed to comply to current menu policy.
  * debian/gtypist.docs: Added.
  * debian/gtypist.lintian-overrides: Added.
  * debian/rules: Added dpatch environment. More cleanup.
  * debian/watch: Added.
  * debian/README.debian: Moved information from INSTALL to this file.
  * debian/README.source: Added to comply to policy 3.8.
  * debian/patches/fix_manual_page_issues.dpatch: Added.
    - Fix manpage-has-useless-whatis-entry for help2man generated manual
      pages (closes: #429578). Further fixed several issues in typefortune.1.
  * debian/patches/00list: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 26 Apr 2009 14:22:23 +0200

gtypist (2.7-5) unstable; urgency=low

  * Ensure that config.* are updated with each build.  (Closes: #342417)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  5 Feb 2006 12:04:18 -0400

gtypist (2.7-4) unstable; urgency=low

  * Build-dep on texinfo > 4.1-2 to aid building on woody.
    (Closes: #224962)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  1 Jan 2004 17:21:16 -0400

gtypist (2.7-3) unstable; urgency=low

  * Hack around automake brokenness, since we get Makefile.in from
    upstream, and it is broken there.  (Closes: #213371)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 16 Oct 2003 09:03:28 -0300

gtypist (2.7-2) unstable; urgency=low

  * Use debhelper's info install instead of upstream's. (Closes: #213371)
  * Fix broken -l and -s options for typefortune.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed,  1 Oct 2003 21:33:55 -0300

gtypist (2.7-1) unstable; urgency=low

  * New upstream. (Closes: #174741)
    - Patch applied upstream, thanks Martin Pitt <mpitt@piware.de>.
      (Closes: #176318)
  * Added to menu in Apps/Education.  (Closes: #200664)
  * Now depends on fortune so typefortune will work.


=== debian/control ===
Source: gtypist
Section: misc
Priority: optional
Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Uploaders: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: debhelper (>> 7.0.50~), autotools-dev (>> 20100122.1~),
 libncursesw5-dev, texinfo (>> 4.1-2), help2man
Standards-Version: 3.9.2
Homepage: http://www.gnu.org/software/gtypist/
Vcs-Browser: https://svn.wgdd.de/svn/packages/gtypist/trunk/
Vcs-Svn: https://svn.wgdd.de/svn/packages/gtypist/trunk/
DM-Upload-Allowed: yes

Package: gtypist
Conflicts: typist
Replaces: typist
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fortune-mod
Recommends: fortune-cookie-db
Suggests: vim-addon-manager
Description: simple ncurses touch typing tutor
 Displays exercise lines, measures your typing speed and
 accuracy, and displays the results. Two exercise types
 are possible: drills and speed tests.
 .
 You need fortune cookies (fortune-cookie-db) to use
 typefortune. There are several languages specific
 cookie packages (fortunes-*).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_configure: configure
	dh_auto_configure -- \
	    --htmldir=\$${docdir} \
  	    --with-lispdir=\$${prefix}/share/emacs/site-lisp

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## gtypist 2.9.3

=== debian/changelog ===
gtypist (2.9.3-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 16 Jun 2013 14:16:05 +0200

gtypist (2.9.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Dropped DM-Upload-Allowed.
    (Standards-Version): Bumped to 3.9.4.
  * debian/gtypist.lintian-overrides: Drop unused override unusual-interpreter.
  * debian/rules: Enable hardening flags for build.
  * debian/patches/220581_gtypist_vim_support.patch: Updated.
  * debian/patches/695777_update_info_doc.patch: Dropped.
  * debian/patches/debian_hardening.patch: Added.
    - Fix an FTBFS enabling hardening flags.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 09 May 2013 11:49:19 +0200

=== debian/control ===
Source: gtypist
Section: misc
Priority: optional
Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Uploaders: Daniel Leidert <dleidert@debian.org>
Build-Depends: autotools-dev (>> 20100122.1~),
               debhelper (>> 7.0.50~),
               help2man,
               libncursesw5-dev,
               texinfo (>> 4.1-2)
Standards-Version: 3.9.4
Homepage: http://www.gnu.org/software/gtypist/
Vcs-Browser: https://svn.wgdd.de/svn/packages/gtypist/trunk/
Vcs-Svn: https://svn.wgdd.de/svn/packages/gtypist/trunk/

Package: gtypist
Conflicts: typist
Replaces: typist
Architecture: any
Depends: fortune-mod, ${misc:Depends}, ${shlibs:Depends}
Recommends: fortune-cookie-db
Suggests: vim-addon-manager
Description: simple ncurses touch typing tutor
 Displays exercise lines, measures your typing speed and
 accuracy, and displays the results. Two exercise types
 are possible: drills and speed tests.
 .
 You need fortune cookies (fortune-cookie-db) to use
 typefortune. There are several languages specific
 cookie packages (fortunes-*).

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,8 @@
 override_dh_auto_configure: configure
 	dh_auto_configure -- \
 	    --htmldir=\$${docdir} \
-  	    --with-lispdir=\$${prefix}/share/emacs/site-lisp
+	    --with-lispdir=\$${prefix}/share/emacs/site-lisp \
+	    $(shell dpkg-buildflags --export=configure)
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

=== debian/watch ===
version=3
ftp://ftp.gnu.org/gnu/gtypist/ gtypist-([\d.]+)\.tar\.gz

## gtypist 2.9.4

=== debian/changelog ===
gtypist (2.9.4-1) unstable; urgency=low

  * New upstream release.
  * debian/compat: Raised compat level to 9.
  * debian/control (Standards-Version): Bumped to 3.9.5.
    (Build-Depends): Raised debhelper version accordingly.
  * debian/rules (override_dh_auto_configure): Removed hardening stuff now
    enabled by default on dh compat level 9.
  * debian/upstream-signing-key.pgp: Added.
  * debian/watch: Added pgpsigurlmangle for signature.
  * debian/patches/debian_hardening.patch: Dropped. Fixed upstream.
  * debian/patches/series: Adjusted.
  * debian/source/include-binaries: Added debian/upstream-signing-key.pgp.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 08 Feb 2014 13:47:18 +0100

## gtypist 2.9.5

=== debian/changelog ===
gtypist (2.9.5-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Daniel Leidert ]
  * d/compat: Dropped obsolete file.
  * d/control: Add Rules-Requires-Root.
    (Build-Depends): Use debhelper-compat and raise to version 13.
    Use libncurses-dev instead of libncursesw5-dev.
    (Standards-Version): Bump to 4.6.2.
    (Homepage): Use HTTPS address.
  * d/copyright: Update.
  * d//gtypist.lintian-overrides: Adjust override.
  * d/rules: Drop the obsolete --parallel dh switch. Enable hardening.
  * d/watch: Raise to version 4.
  * d/patches/1066641-fix-implicit-function-declarations.patch: Added.
    - Fix implicit function declarations (closes: #1066641).

 -- Daniel Leidert <dleidert@debian.org>  Sun, 14 Apr 2024 13:11:45 +0200

gtypist (2.9.5-3) unstable; urgency=medium

  * debian/compat: Raised to dh compat level 11.
  * debian/control (Build-Depends): Raised debhelper version and removed
    autotools-dev.
    (Standards-Version): Raised to 4.1.3.
    (Vcs-*): Fixed after moving packaging to git.
  * debian/copyright: Use HTTPS addresses. Update Debian packaging copyright.
  * debian/rules: Dropped deprecated autotools_dev addon.
  * debian/watch: Use HTTPS address.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 21 Jan 2018 02:29:20 +0100

gtypist (2.9.5-2) unstable; urgency=medium

  * debian/control (Vcs-Browser, Vcs-Svn): Relocated to collab-maint.
    (Maintainer, Uploaders): Flipped as requested by Ben.
    (Standards-Version): Bumped to 3.9.6.
  * debian/copyright: Rewritten in machine-readable format.
  * debian/patches/802270_spelling_errors.patch: Added.
    - Fix some spelling and spacing errors (closes: #802270).
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 26 Oct 2015 09:40:00 +0100

gtypist (2.9.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Updated.
  * debian/gtypist.doc-base.*: Changed ID to become unique (closes: #709649).
  * debian/upstream-signing-key.pgp: Replaced by amored key
    debian/upstream/signing-key.asc.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 22 Sep 2014 11:21:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: gtypist
 Section: misc
 Priority: optional
-Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
-Uploaders: Daniel Leidert <dleidert@debian.org>
-Build-Depends: autotools-dev (>> 20100122.1~),
-               debhelper (>> 7.0.50~),
+Maintainer: Daniel Leidert <dleidert@debian.org>
+Uploaders: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
+Build-Depends: debhelper-compat (= 13),
                help2man,
-               libncursesw5-dev,
+               libncurses-dev,
                texinfo (>> 4.1-2)
-Standards-Version: 3.9.4
-Homepage: http://www.gnu.org/software/gtypist/
-Vcs-Browser: https://svn.wgdd.de/svn/packages/gtypist/trunk/
-Vcs-Svn: https://svn.wgdd.de/svn/packages/gtypist/trunk/
+Standards-Version: 4.6.2
+Homepage: https://www.gnu.org/software/gtypist/
+Vcs-Browser: https://salsa.debian.org/debian/gtypist
+Vcs-Git: https://salsa.debian.org/debian/gtypist.git
+Rules-Requires-Root: no
 
 Package: gtypist
 Conflicts: typist

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure: configure
	dh_auto_configure -- \
	    --htmldir=\$${docdir} \
	    --with-lispdir=\$${prefix}/share/emacs/site-lisp

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4
options=pgpsigurlmangle=s/$/.sig/ \
 https://ftp.gnu.org/gnu/gtypist/ gtypist-([\d.]+)\.tar\.(?:xz|gz)
